petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESLineSearchGetPostCheck

Gets the post-check function for the line search routine.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetPostCheck(SNESLineSearch linesearch, PetscErrorCode (**func)(SNESLineSearch,Vec,Vec,Vec,PetscBool*,PetscBool*,void*),void **ctx)

### Input Parameters

linesearch -the SNESLineSearch context

### Output Parameters

| func | - [optional] function evaluation routine, see for the calling sequence SNESLineSearchPostCheckFunction
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### Keywords

get, linesearch, post-check

### See Also

SNESLineSearchGetPreCheck(), SNESLineSearchSetPostCheck()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages